
%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%define major 2
%define libname %mklibname drm %{major}
%define develname %mklibname drm -d
%define staticdevelname %mklibname drm -d -s

%define kms_major 1
%define libkms %mklibname kms %{kms_major}
%define intel_major 1
%define libintel %mklibname drm_intel %{intel_major}
%define nouveau_major 1
%define libnouveau %mklibname drm_nouveau %{nouveau_major}
%define radeon_major 1
%define libradeon %mklibname drm_radeon %{radeon_major}
%define omap_major 1
%define libomap %mklibname drm_omap %{omap_major}
%define exynos_major 1
%define libexynos %mklibname drm_exynos %{exynos_major}


Summary:	Userspace interface to kernel DRM services
Name:		libdrm
Version:	2.4.74
Release:	%mkrel 2
Group:		System/Libraries
License:	MIT/X11
URL:		http://xorg.freedesktop.org
Source0:	http://dri.freedesktop.org/libdrm/libdrm-%{version}.tar.xz
Source1:	91-drm-modeset.rules
Patch0101:	libdrm-make-dri-perms-okay.patch
Patch0102:	libdrm-2.4.69-no-bc.patch
Patch0103:	libdrm-2.4.25-check-programs.patch
Patch0500:	0500-improve-waiting-for-dri-device-to-appear-when-system.patch
Patch1007:	nouveau-lib.patch
BuildRequires:	kernel-source
BuildRequires:	libpthread-stubs
BuildRequires:	x11-util-macros >= 1.0.1
%if !%bootstrap
BuildRequires: udev-devel
%endif
BuildRoot:	%{_tmppath}/%{name}-root
Obsoletes: 	%{name} < %version
Provides:	%{name} = %version-%release


%description
Userspace interface to kernel DRM services

%package -n	%{libname}
Summary:	Userspace interface to kernel DRM services
Group:		System/Libraries
Provides:	%{name} = %{version}

%description -n	%{libname}
Userspace interface to kernel DRM services


%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{mklibname drm 2 -d}

%description -n	%{develname}
Development files for %{name}

%package -n	%{staticdevelname}
Summary:	Static development files for %{name}
Group:		Development/X11
Requires:	%{name}-devel >= %{version}
Requires:	%{libname} = %{version}
Provides:       %{name}-static-devel = %{version}-%{release}
Obsoletes:      %{mklibname drm 2 -d -s}

%description -n	%{staticdevelname}
Static development files for %{name}


%prep

%setup -q
%apply_patches

%build
autoreconf -fv --install
%configure2_5x \
    --enable-udev \
    --enable-static \

make -j1

%install
rm -rf %{buildroot}

%makeinstall_std 
mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d/
install -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/udev/rules.d/

find %{buildroot} -type f -name '*.la' -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libdrm.so.%{major}*
%{_sysconfdir}/udev/rules.d/91-drm-modeset.rules
%{_libdir}/libkms.so.%{kms_major}*
%{_libdir}/libdrm_intel.so.%{intel_major}*
%{_libdir}/libdrm_nouveau.so.1
%{_libdir}/libdrm_nouveau.so.%{nouveau_major}*
%{_libdir}/libdrm_radeon.so.%{radeon_major}*
%{_libdir}/libdrm_amdgpu.so.1
%{_libdir}/libdrm_amdgpu.so.1.0.0


%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/libdrm
%{_includedir}/libkms
%{_includedir}/*.h
%{_libdir}/libdrm*.so
%{_libdir}/libkms.so
%{_libdir}/pkgconfig/libdrm*.pc
%{_libdir}/pkgconfig/libkms*.pc
%_mandir/man3
%_mandir/man7

%files -n %{staticdevelname}
%defattr(-,root,root)
%{_libdir}/*.a


%changelog
* Tue Dec 13 2016 adrianomorselli <adrianomorselli> 2.4.74-2uplos2016
- rebuild for kernel lts 4.31

* Thu Dec 01 2016 bb <bb> 2.4.74-2pclos2016
- update

* Wed Nov 30 2016 bb <bb> 2.4.74-1pclos2016
- update

